WCS_ASTRO_BREAKDOWN_HMS(3)

EXPERIMENTAL_FUNC
wcs_astro_breakdown_hms - Breakdown a time value into components.

SYNOPSIS
#include <karma_wcs.h>

flag wcs_astro_breakdown_hms

(int *hours, int *minutes, double *seconds, int *whole_seconds, double *subseconds, double input, double offset)

DESCRIPTION
Breakdown a time value into components.

hours
    The hours are written here. This may be NULL.

minutes
    The minutes are written here. This may be NULL.

seconds
    The seconds are written here. This may be NULL.

whole_seconds
    The integer truncated seconds are written here. This may be NULL.

subseconds
    The fractional seconds are written here. This may be NULL.

input
    The time value in hours.

offset
    The offset (in seconds) to apply for rounding purposes.

RETURN VALUE
TRUE if the value was legal, else FALSE.

Multi-threading Level
Unsafe.

NOTE
All component values are guaranteed to be positive.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/